{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}

{% block navbar %}
	<header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>

        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
	</header>
{% endblock navbar %}
{% block main %}
<section class="about section " id="about" style="height:600px;;">
    <h2 class="section-title" style="margin-top:50px;">Detail Mata Kuliah</h2>
    <div class="about__container bd-grid col-5 d-flex justify-content-center" id="tambah_matkul">
    </div>
        <table class="table table-responsive-md mx-auto" style="max-width:80%;">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Mata Kuliah</th>
              <th scope="col">Nama Dosen/Pengajar</th>
              <th scope="col">Jumlah SKS</th>
              <th scope="col">Deskripsi</th>
              <th scope="col">Semester - Tahun Ajar</th>
              <th scope="col">Kode Ruang Kelas</th>
              <th scope="col"></th>
              <th scope="col"></th>
              
            </tr>
          </thead>
          <tbody>
            {% for matkul in data_matkul %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{matkul.nama_matkul}}</td>
              <td>{{matkul.nama_dosen}}</td>
              <td>{{matkul.jumlah_sks}}</td>
              <td>{{matkul.deskripsi_matkul}}</td>
              <td>{{matkul.semester}}</td>
              <td>{{matkul.ruang_kelas}}</td>
              <td><a href="{% url 'college:update' matkul.id %}"> <button type="button" class="btn btn-outline-info">Update</button></a></td>
              <td><a href="{% url 'college:delete' matkul.id %}"> <button type="button" class="btn btn-outline-danger">Delete</button></a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
</section>
{% endblock main %}
